Package org.jfree.report.modules.gui.swing.html

# Class HtmlZipExportTask

java.lang.Object
org.jfree.report.modules.gui.swing.html.HtmlZipExportTask

All Implemented Interfaces:
  `Runnable`

public class HtmlZipExportTask extends Object implements Runnable
Creation-Date: 02.12.2006, 14:15:14

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`HtmlZipExportTask(ReportJob job)`

## Method Summary

Modifier and Type
Method
Description
`protected org.jfree.layouting.modules.output.html.HtmlOutputProcessor`
`createOutputProcessor()`
`void`
`run()`
When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HtmlZipExportTask

public HtmlZipExportTask(ReportJob job) throws ReportConfigurationException

Throws:
  `ReportConfigurationException`

## Method Details

### run

public void run()
When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

The general contract of the method `run` is that it may take any action whatsoever.

Specified by:
  `run` in interface `Runnable`
See Also:
  - `Thread.run()`

### createOutputProcessor

protected org.jfree.layouting.modules.output.html.HtmlOutputProcessor createOutputProcessor()